# Interface IntegrationsManager

interface IntegrationsManager {
endScreenIntegration: EndScreenIntegration;
imaClientSideIntegration: ImaClientSideIntegration;
imaDaiIntegration: ImaDaiIntegration;
pinningIntegration: PinningIntegration;
playlistUiIntegration: PlaylistUiIntegration;
socialSharingIntegration: SocialSharingIntegration;
ssaiIntegration: SsaiIntegration;
thumbnailsIntegration: ThumbnailsIntegration;
}

#### Implemented by

- IntegrationsManager

#####
Index

### Properties

endScreenIntegration
imaClientSideIntegration
imaDaiIntegration
pinningIntegration
playlistUiIntegration
socialSharingIntegration
ssaiIntegration
thumbnailsIntegration

## Properties

### endScreenIntegration

endScreenIntegration: EndScreenIntegration

### imaClientSideIntegration

imaClientSideIntegration: ImaClientSideIntegration

### imaDaiIntegration

imaDaiIntegration: ImaDaiIntegration

### pinningIntegration

pinningIntegration: PinningIntegration

### playlistUiIntegration

playlistUiIntegration: PlaylistUiIntegration

### socialSharingIntegration

socialSharingIntegration: SocialSharingIntegration

### ssaiIntegration

ssaiIntegration: SsaiIntegration

### thumbnailsIntegration

thumbnailsIntegration: ThumbnailsIntegration